Subject: bug#20682: 25.0.50; Enable users to combine --script and --quick

From: Glenn Morris <[email-masked]>
Date: Thu, 28 May 2015 16:30:19 -0400

Stefan Monnier wrote:

> OTOH I'd be happy to see a new argument that lets you provide various
> args as one.  E.g. "emacs --args=-Q,--script" which would be more
> generally useful to deal with the limit of only one arg in shebang.
> Given the size limit of shebang lines, we'd also want this extra arg to
> be shortish.
>
> An alternative would be to combine --args and --script, so you could
> say "emacs --script=-Q" to get what you're asking for.

Apparently it's somewhat conventional (perl, ruby) to use "-x" for this
purpose. A nice write-up at

https://github.com/smikes/node/blob/minus-x-switch/doc/Minus-X-Switch-Proposal.md

Amazingly, "-x" is available as an Emacs command-line switch...

Personally, I'd probably just use a trivial shell wrapper script.